hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Daniel Cryans <jdcry...@apache.org>
Subject Re: Are Apache HBase and Cloudera HBase compatible?
Date Thu, 09 Aug 2012 20:51:11 GMT
Using a HBase version compiled on Hadoop 2.0 (like CDH4) and trying to
use it on Hadoop 1.0 or previous is bound to fail. You could try
recompiling CDH4's HBase on 0.20.205 but I don't know if it will work,
FWIW Apache's HBase is compiled on Hadoop 1.0 which is "close" to
0.20.205 and it "worked" for you.

So:

> - Does the Apache HBase jar play nicely with the CDH Hbase server?

If they are compiled on the same Hadoo major version I'd say that in
general it should work.

> - Is mixing versions/distributions like this is horrible idea?

Mixing those Hadoop major versions is, but the HBase versions you are
using aren't really that different.

Hope this helps,

J-D

Mime
View raw message